Driver NVidia y kernel linux 2.6.16

Ayer, después de haberme enterado de que salio la versión 2.6.16 y teniendo un tiempo para actualizar la 2.6.15.3 descargue y compile esta versión, al reiniciar y como de costumbre cuando instalo un nuevo kernel tengo que instalar el driver para la NVidia, mi sorpresa fue grande cuando al intentar instalar la versión 1.0.8178 me sale un error, el cual solucione de la siguiente manera….
Linux/x86:
# sh /path/to/NVIDIA-Linux-x86-1.0-8178-pkg1.run –extract-only
# cd NVIDIA-Linux-x86-1.0-8178-pkg1
# patch -p0 < /path/to/NVIDIA_kernel-1.0-8178-U012206.diff.txt
# ./nvidia-installer -n

Linux/x86-64:
# sh /path/to/NVIDIA-Linux-x86_64-1.0-8178-pkg2.run –extract-only
# cd NVIDIA-Linux-x86_64-1.0-8178-pkg2
# patch -p0 < /path/to/NVIDIA_kernel-1.0-8178-U012206.diff.txt
# ./nvidia-installer -n

para descargar el parche y desde aquí el driver en su ultima versión a la fecha. Se puede también crear nuevamente el *pkg.run parcheado para no tener que realizar esta tarea nuevamente de la siguiente manera.
Linux/x86:
# cd ../
# rm -rf NVIDIA-Linux-x86-1.0-8178-pkg1/usr/src/nv/precompiled
# sh NVIDIA-Linux-x86-1.0-8178-pkg1/usr/bin/makeself.sh –target-os Linux –target-arch x86 NVIDIA-Linux-x86-1.0-8178-pkg1 NVIDIA-Linux-x86-1.0-8178-pkg0-custom.run “NVIDIA Accelerated Graphics Driver for Linux-x86 1.0-8178” ./nvidia-installer

Linux/x86-64:
# cd ../
# sh NVIDIA-Linux-x86_64-1.0-8178-pkg2/usr/bin/makeself.sh –target-os Linux –target-arch x86_64 NVIDIA-Linux-x86_64-1.0-8178-pkg2 NVIDIA-Linux-x86_64-1.0-8178-pkg2-custom.run “NVIDIA Accelerated Graphics Driver for Linux-x86_64 1.0-8178” ./nvidia-installer

Bueno, con esto estaría funcionando, este driver incorpora una utilidad de conflagración llamada nvidia-xconfig, no es una gran cosa pero para ciertos parámetros esta bien. Espero que le sirva a alguien…